注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

信息 灵感 创新

I? =Information,Inspiration,Innovation

 
 
 

日志

 
 
关于我

we are 5. Mathematics, Computation, Programming, Engineering, and Making fun of life.

网易考拉推荐

图层操作函数(1)  

2015-09-27 19:32:22|  分类: ObjectARX |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
创建一个图层记录,并添加到图层表中。
 1 Acad::ErrorStatus LayerOperation::AddLayer(const ACHAR* layerName,AcDbObjectId& layerId)
 2 {
 3     if (layerName==NULL)
 4         return Acad::eNullPtr;
 5     AcDbLayerTable *plt=NULL;
 6     acdbHostApplicationServices()->workingDatabase()->getSymbolTable(plt,AcDb::kForWrite);
 7     if (plt->has(layerName)) //name already exists
 8     {
 9         plt->close();
10         return Acad::eDuplicateLayerName;
11     }
12     else
13     {
14         AcDbLayerTableRecord *pltr=new AcDbLayerTableRecord();
15         Acad::ErrorStatus es=pltr->setName(layerName);
16         if (es!=Acad::eOk) //failed to set name
17         {
18             pltr->close();
19             plt->close();
20             return es;
21         }
22         else//set name successfully
23         {
24             es=plt->add(layerId,pltr);
25             pltr->close();
26             plt->close();
27             return es;
28         }
29     }
  评论这张
 
阅读(240)| 评论(1)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016